Loading...
Searching...
No Matches
casacore::FITSFieldCopier Class Referenceabstract
FITS_module_internal_classes

More...

`#include <FITSFieldCopier.h>`

## Public Member Functions

virtual | ~FITSFieldCopier ()
| destructor
virtual void | copyToFITS ()=0
| the things which does the work - to be implemented in each derived class

## Detailed Description

Virtual base class for copying RORecordFields to FitsFields

### Intended use:

Internal

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- RORecordField
- FitsFields

### Etymology

### Synopsis

### Example

### Motivation

### Thrown Exceptions

### To Do

- actually document this

Definition at line 74 of file FITSFieldCopier.h.

## Constructor & Destructor Documentation

## ~FITSFieldCopier()

virtual casacore::FITSFieldCopier::~FITSFieldCopier | ( |  | ) |

inline virtual

destructor

Definition at line 78 of file FITSFieldCopier.h.

## Member Function Documentation

## copyToFITS()

virtual void casacore::FITSFieldCopier::copyToFITS | ( |  | ) |

pure virtual

the things which does the work - to be implemented in each derived class

Implemented in casacore::ArrayFITSFieldCopier< recordType, fitsType >, casacore::ScalarFITSFieldCopier< recordType, fitsType >, casacore::StringFITSFieldCopier, and casacore::VariableArrayFITSFieldCopier< recordType, fitsType >.

The documentation for this class was generated from the following file:

- fits/FITS/FITSFieldCopier.h